Bug 1417311 - please include a trigger for icon cache generation
Summary: please include a trigger for icon cache generation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 23:01 UTC by Fabio Valentini
Modified: 2018-01-16 18:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-16 18:44:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2017-01-27 23:01:38 UTC
Including the scriptlets from https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache in a package's .spec file if the package includes an icon seems redundant (almost every GUI package contains those scriptlets), is an additional burden for package maintenance and looks a bit hostile for new packagers.

Almost all other scriptlets have been converted to triggers in the appropriate packages. So, aside from ldconfig (where there is ongoing discussion about a possible implementation of triggers), the icon cache generation is almost the last thing left in fedora 25+ which requires scriptlets being present in .spec files.

Comment 1 Fedora End Of Life 2017-02-28 11:06:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fabio Valentini 2018-01-16 18:44:13 UTC
This problem has been solved by adding file triggers to individual icon theme packages instead. Closing.


Note You need to log in before you can comment on or make changes to this bug.